let scopeCount = 0;
const mockThemes = [];
let adapter = {
  addLocalCss: () => {},
  addThemedCss: () => {},
  addTheme: theme => mockThemes.push(theme),
  getThemes: () => mockThemes,
  getIdentName: (local, _, theme) => `${theme ? '_' : ''}${local}`
};
const setAdapter = newAdapter => {
  scopeCount = 0;
  adapter = newAdapter;
};
const addLocalCss = (...props) => {
  return adapter.addLocalCss(...props);
};
const addThemedCss = (...props) => {
  return adapter.addThemedCss(...props);
};
const addTheme = (...props) => {
  return adapter.addTheme(...props);
};
const getThemes = (...props) => {
  return adapter.getThemes(...props);
};
const getIdentName = (...props) => {
  return adapter.getIdentName(...props);
};
const getNextScope = () => scopeCount++;

export { addLocalCss, addTheme, addThemedCss, getIdentName, getNextScope, getThemes, setAdapter };
