import createDebug from 'debug';
import chalk from 'chalk';

const formatIdent = i => chalk.blue(`"${i.replace(/.*\//, '')}"`);

createDebug.formatters.m = m => formatIdent(m.matchResource || m.identifier());

createDebug.formatters.i = i => formatIdent(i);

const debug = createDebug;
const THEMED = 'THEMED';
const LOCAL = 'LOCAL';

class TreatError extends Error {
  constructor(error) {
    super(`treat-webpack-plugin: An error occured during compilation: \n${error.stack}`);
    this.name = 'TreatError';
    Error.captureStackTrace(this, this.constructor);
  }

}

export { LOCAL as L, THEMED as T, TreatError as a, debug as d };
