'use strict';

var createDebug = require('debug');
var chalk = require('chalk');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var createDebug__default = /*#__PURE__*/_interopDefault(createDebug);
var chalk__default = /*#__PURE__*/_interopDefault(chalk);

const formatIdent = i => chalk__default['default'].blue(`"${i.replace(/.*\//, '')}"`);

createDebug__default['default'].formatters.m = m => formatIdent(m.matchResource || m.identifier());

createDebug__default['default'].formatters.i = i => formatIdent(i);

const debug = createDebug__default['default'];
const THEMED = 'THEMED';
const LOCAL = 'LOCAL';

class TreatError extends Error {
  constructor(error) {
    super(`treat-webpack-plugin: An error occured during compilation: \n${error.stack}`);
    this.name = 'TreatError';
    Error.captureStackTrace(this, this.constructor);
  }

}

exports.LOCAL = LOCAL;
exports.THEMED = THEMED;
exports.TreatError = TreatError;
exports.debug = debug;
